> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multipart upload

> Start a direct-to-S3 multipart upload and return the target key and upload id



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /workspaceManagement/files/multipart/create
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/files/multipart/create:
    post:
      tags:
        - Workspace Management - Files
      summary: Create multipart upload
      description: >-
        Start a direct-to-S3 multipart upload and return the target key and
        upload id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                contentType:
                  type: string
                filename:
                  type: string
              required:
                - contentType
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  s3Filename:
                    type: string
                  uploadId:
                    type: string
                required:
                  - s3Filename
                  - uploadId
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````